package eu.greenlightning.gdx.labyrinthchallenge.util;

public class Stats {

	private int difficulty = 0;
	private float last = 0;
	private float total = 0;

	public void reset() {
		difficulty = 0;
		last = 0;
		total = 0;
	}

	public void startLevel() {
		difficulty++;
		last = 0;
	}

	public int getDifficulty() {
		return difficulty;
	}

	public void addTime(float delta) {
		last += delta;
		total += delta;
	}

	public float getLevelTime() {
		return last;
	}

	public float getTotalTime() {
		return total;
	}

}
